Bug Hunting Session
Bug 52960 - Text selection in commented text ranges
Summary: Text selection in commented text ranges
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-30 10:15 UTC by Olivier R.
Modified: 2012-08-09 10:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
commented text range (13.39 KB, application/vnd.oasis.opendocument.text)
2012-07-30 10:15 UTC, Olivier R.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier R. 2012-07-30 10:15:22 UTC
Created attachment 64949 [details]
commented text range

Normal behavior of Writer for text selection:

double-click -> select a word
triple-click -> select a sentence
four clicks  -> select a paragraph

How to reproduce this bug:

Write a paragraph with several sentences. Create a comment on a text range. Try to select a word within this text range.

double-click -> select the full comment
triple-click -> select the first sentence of the text range, whatever sentence you try to select.

Try this with the attached file.
Comment 1 s-joyemusequna 2012-07-30 11:56:32 UTC
Confirmed with Version 3.7.0.0.alpha0+ (Build ID: 0c6bc6e) from 2012-07-28 under Windows XP.
Comment 2 Not Assigned 2012-08-09 10:18:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c6454f07b6f8e7b66892fda0111c02182180e92

fdo#52960 SwCursor::SelectWordWT fix text selection in commented text ranges
Comment 3 Miklos Vajna 2012-08-09 10:21:47 UTC
This is now resolved in master.